Page MenuHomePhabricator

There is no way to close the map, when the "More details" panel is open
Closed, ResolvedPublic

Description

When the panel "More details" opens, it obscures the closing icon. As a result, map lost the ability to quickly close.

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterAdd a collapse button next to the close button

Event Timeline

putnik created this task.Jan 15 2017, 3:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2017, 3:18 PM
debt triaged this task as High priority.Jan 17 2017, 5:08 PM
debt added a project: Maps-Sprint.

There is a "closing" icon on the top right corner to close the sidebar:

Once the sidebar is closed, another "closing" icon is available to close the map:

@putnik can you help me pointing at what is missing / what should be improved?

@JGirault "Closing" icon should close the map with any panel state. Probably, it can be two icons when the panel is open: hide panel (V) and close the map (X).

JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Feb 9 2017, 10:14 PM

Change 336921 had a related patch set uploaded (by JGirault):
Add a collapse button next to the close button

https://gerrit.wikimedia.org/r/336921

Screenshot of the proposed solution:

Are we convinced that these two buttons are easy to understand?

  • v collapses the map details
  • x closes the full screen mode
JGirault claimed this task.Feb 9 2017, 10:21 PM
JGirault moved this task from In progress to Needs review on the Maps-Sprint board.

Change 336921 merged by jenkins-bot:
Add a collapse button next to the close button

https://gerrit.wikimedia.org/r/336921

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Feb 17 2017, 6:33 PM
JGirault closed this task as Resolved.Apr 17 2017, 7:34 PM